import { packageName } from '../addon-constants';
function upgrade(context) {
    if (!context.results) {
        return context;
    }
    return {
        ...context,
        results: context.results.map((result) => {
            if (result.groupName) {
                return {
                    groupId: result.groupName,
                    map: result.map,
                };
            }
            return result;
        }),
    };
}
function getKey(storyName) {
    return `${packageName}-${storyName}`;
}
export function savePinned(storyName, results) {
    localStorage.setItem(getKey(storyName), JSON.stringify(results));
}
export function clearPinned(storyName) {
    localStorage.removeItem(getKey(storyName));
}
export function getPinned(storyName) {
    const raw = localStorage.getItem(getKey(storyName));
    if (!raw) {
        return null;
    }
    return upgrade(JSON.parse(raw));
}
