import { addons, types } from '@storybook/addons';
import { useParameter } from '@storybook/api';
import { AddonPanel } from '@storybook/components';
import React from 'react';
import * as constants from './addon-constants';
import Panel from './panel/panel';
function Env({ children }) {
    const parameters = useParameter(constants.paramKey, { interactions: [] });
    const interactions = parameters.interactions;
    const channel = addons.getChannel();
    return children({ channel: channel, interactions });
}
addons.register(constants.addonKey, () => {
    addons.add(constants.panelKey, {
        type: types.PANEL,
        title: constants.panelTitle,
        render: ({ active, key }) => (React.createElement(AddonPanel, { active: active, key: key },
            React.createElement(Env, null, ({ interactions, channel }) => React.createElement(Panel, { channel: channel, interactions: interactions })))),
        paramKey: constants.paramKey,
    });
});
